﻿.mc-banner {
  width: 100%;
  position: relative;
  overflow: hidden;

  // 主体
  & > .mc-banner-wrap {
    position: relative;
    display: block;
    min-width: 100%;
    width: 100%;
    height: 100%;
    white-space: nowrap;
    top: 0;
    left: 0;
    list-style: none;

    & > * {
      position: absolute;
      display: block;
      width: 100%;
      height: 100%;
      left: 0;
      top: 0;
      opacity: 0;
      z-index: 1;
      pointer-events: none;
    }

    // 播放动画
    &[direction="l"] {
      @keyframes am-l-anim {
        0% {
          opacity: 0;
          transform: translateY(100%) scale3d(1, 1, 1);
        }
        1% {
          opacity: 1;
          transform: translateY(100%) scale3d(1, 1, 1);
        }
        100% {
          opacity: 1;
          transform: translateY(0) scale3d(1, 1, 1);
        }
      }
      @keyframes am-l-prev {
        0%,
        1% {
          opacity: 1;
          transform: translateY(0) scale3d(1, 1, 1);
        }
        99% {
          opacity: 1;
        }
        100% {
          opacity: 0;
          transform: translateY(-100%) scale3d(1, 1, 1);
        }
      }

      & > * {
        &[view="2"] {
          z-index: 2;
          animation: am-l-anim .6s both;
        }
        &[view="1"] {
          animation: am-l-prev .6s both;
        }
      }
    }
    &[direction="r"] {
      @keyframes am-r-anim {
        0% {
          opacity: 0;
          transform: translateY(-100%) scale3d(1, 1, 1);
        }
        1% {
          opacity: 1;
          transform: translateY(-100%) scale3d(1, 1, 1);
        }
        100% {
          opacity: 1;
          transform: translateY(0) scale3d(1, 1, 1);
        }
      }
      @keyframes am-r-prev {
        0%,
        1% {
          opacity: 1;
          transform: translateY(0) scale3d(1, 1, 1);
        }
        99% {
          opacity: 1;
        }
        100% {
          opacity: 0;
          transform: translateY(100%) scale3d(1, 1, 1);
        }
      }

      & > * {
        &[view="2"] {
          z-index: 2;
          animation: am-r-anim .6s both;
        }
        &[view="1"] {
          animation: am-r-prev .6s both;
        }
      }
    }

    & > * {
      &[view="3"] {
        z-index: 2;
        opacity: 1;
      }
    }
  }

  // 按钮
  .mc-banner-btns {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    pointer-events: none;

    & > * {
      display: block;
      width: 2em;
      height: 2em;
      line-height: 2em;
      opacity: 0.8;
      position: absolute;
      top: 50%;
      margin-top: -1em;
      text-align: center;
      color: #fff;
      z-index: 10;
      cursor: pointer;
      pointer-events: auto;
      border-radius: 2px;
      transform: scale3d(1, 1, 1);
      transition: transform 0.3s;

      &:active {
        transform: scale3d(0.7, 0.7, 1);
      }

      &:after {
        position: absolute;
        content: "";
        display: block;
        width: 40%;
        height: 40%;
        top: 29%;
        border-width: 1px 1px 0 0;
        border-style: solid;
        border-color: #fff;
      }

      &[data-btn="prev"] {
        left: 1rem;

        &:after {
          left: 40%;
          transform: rotate(-135deg);
        }
      }

      &[data-btn="next"] {
        right: 1rem;

        &:after {
          left: 22%;
          transform: rotate(45deg);
        }
      }
    }
  }

  // 圆点
  .mc-banner-dots {
    display: inline-block;
    position: absolute;
    bottom: 3%;
    width: 100%;
    text-align: center;
    z-index: 3;

    & > * {
      display: inline-block;
      width: 12px;
      height: 5px;
      margin: 0 1px;
      background: #fff;
      border-radius: 10px;
      opacity: 0.3;
      transform: scale3d(0.5, 1, 1);
      transition: all 0.6s;
    }

    & > * {
      &[view="2"],
      &[view="3"] {
        transform: scale3d(1, 1, 1);
        background: #fff;
        opacity: 0.8;
      }
    }
  }
}
